Package twisted :: Package web :: Package woven :: Module controller

[show private | hide private]
[frames | no frames]

## Module twisted.web.woven.controller

Classes
`BlankPage` |
`Controller` | A Controller which handles to events from the user.
`LiveController` | A Controller that encapsulates logic that makes it possible for this page to be "Live".
`WController` | A Controller which handles to events from the user.

Function Summary
| `controllerFactory(controllerClass)`
| `controllerMethod(controllerClass)`
| ``registerControllerForModel`(controller, model)` Registers `controller' as an adapter of `model' for IController, and optionally registers it for IResource, if it implements it.

Variable Summary
`string` | `__version__`
`_Feature` | `nested_scopes`
`string` | `WOVEN_PATH`

Function Details

### registerControllerForModel(controller, model)

Registers `controller' as an adapter of `model' for IController, and optionally registers it for IResource, if it implements it.

  Parameters:
    `controller` - A class that implements `interfaces.IController`, usually a `Controller` subclass. Optionally it can implement `resource.IResource`.
    `model` - Any class, but probably a `twisted.web.woven.model.Model` subclass.

Variable Details

### __version__

  Type:
    `string`
  Value:

        '1.34'

### nested_scopes

  Type:
    `_Feature`
  Value:

        Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'final', 0))

### WOVEN_PATH

  Type:
    `string`
  Value:

        './twisted/web/woven'

Generated by Epydoc 1.1 on Sat Feb 15 21:19:30 2003 | http://epydoc.sf.net